CWGraphInternal::Group Struct Reference

Internal: class which stores a group of graphics, ... More...

Inheritance diagram for CWGraphInternal::Group:

## Classes

struct | LinkedZones
| a small class of Group used to store a list a set of text zone More...

## Public Member Functions

| Group (CWStruct::DSET const &dset=CWStruct::DSET())
| constructor More...
bool | needSendFrameContent (int id, int subId, WPXPropertyList &framePList, WPXPropertyList &textboxPList) const
| check if we need to send the frame content and if needed update the property list adding the frame name More...
Public Member Functions inherited from CWStruct::DSET
| DSET ()
| constructor More...
virtual | ~DSET ()
| virtual destructor More...
bool | okChildId (int zoneId) const
| test is a child id is valid More...

## Public Attributes

std::vector< shared_ptr< Zone > > | m_zones
| the list of child zones More...
Vec2i | m_headerDim
| the header dimension ( if defined ) More...
bool | m_hasMainZone
| a flag to know if this zone contains or no the call to zone 1 More...
int | m_totalNumber
| the number of zone to send More...
std::vector< size_t > | m_blockToSendList
| the list of block to send More...
std::map< int, LinkedZones > | m_idLinkedZonesMap
| a map zone id to the list of zones More...
Public Attributes inherited from CWStruct::DSET
long | m_size
| the size of the DSET header More...
long | m_numData
| the number of header More...
long | m_dataSz
| the data size More...
long | m_headerSz
| the header size More...
Type | m_type
| the document type More...
int | m_fileType
| the type ( 0: text, -1: graphic, ...) More...
int | m_id
| the identificator More...
std::set< int > | m_fathersList
| the list of fathers More...
std::set< int > | m_validedChildList
| the list of verified child More...
int | m_beginSelection
| the begin of selection ( at least in text header) More...
int | m_endSelection
| the end of selection ( at least in text header) More...
int | m_textType
| the text type (header/footer,footnote, ...) More...
int | m_flags [4]
| some unknown flag More...
std::vector< Child > | m_childs
| the list of child zone More...
std::vector< int > | m_otherChilds
| the list of other child More...
bool | m_parsed
| a flag to know if the entry is sent or not to the listener More...
int | m_internal
| an internal variable used to do some computation More...

## Friends

std::ostream & | operator<< (std::ostream &o, Group const &doc)
| operator<< More...

## Additional Inherited Members

Public Types inherited from CWStruct::DSET
enum | Type { T_Main =0, T_Header, T_Footer, T_Frame, T_Footnote, T_Table, T_Slide, T_Unknown }
| the document type More...

## Detailed Description

Internal: class which stores a group of graphics, ...

## Constructor & Destructor Documentation

CWGraphInternal::Group::Group | ( | CWStruct::DSET const & | dset = `CWStruct::DSET()` | ) |

inline

constructor

## Member Function Documentation

bool CWGraphInternal::Group::needSendFrameContent | ( | int | id,
|  | int | subId,
|  | WPXPropertyList & | framePList,
|  | WPXPropertyList & | textboxPList
| ) |  | const

check if we need to send the frame content and if needed update the property list adding the frame name

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Group const & | doc
| ) |  |

friend

operator<<

## Member Data Documentation

std::vector<size_t> CWGraphInternal::Group::m_blockToSendList

the list of block to send

Referenced by CWGraph::updateInformation().

bool CWGraphInternal::Group::m_hasMainZone

a flag to know if this zone contains or no the call to zone 1

Referenced by CWGraph::updateInformation().

Vec2i CWGraphInternal::Group::m_headerDim

the header dimension ( if defined )

Referenced by CWGraph::readGroupUnknown(), and CWGraph::updateInformation().

std::map<int, LinkedZones> CWGraphInternal::Group::m_idLinkedZonesMap

a map zone id to the list of zones

Referenced by needSendFrameContent(), and CWGraph::updateInformation().

int CWGraphInternal::Group::m_totalNumber

the number of zone to send

Referenced by CWGraph::updateInformation().

std::vector<shared_ptr<Zone> > CWGraphInternal::Group::m_zones

the list of child zones

Referenced by CWGraph::readGroupData(), and CWGraph::updateInformation().

The documentation for this struct was generated from the following file:

- CWGraph.cxx